Skip to main content
POST
Create an event auction item

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

Body

application/json
name
string
required

Name.

Maximum string length: 255
Example:

"Annual Gala"

description
string | null

Description.

Example:

"Example"

fair_market_value
number | null

Fair market value.

Required range: x >= 0
Example:

1

starting_bid
number | null

Starting bid.

Required range: x >= 0
Example:

1

buy_now_price
number | null

Buy now price.

Required range: x >= 0
Example:

1

quantity_available
integer | null

Quantity available.

Required range: x >= 0
Example:

1

status
enum<string> | null

Status.

Available options:
draft,
open,
closed,
fulfilled,
cancelled,
null
Example:

"draft"

visibility
enum<string> | null

Visibility.

Available options:
public,
private,
null
Example:

"public"

sort_order
integer | null

Sort order.

Example:

1

settings
object | null

Settings.

Response

Create an event auction item completed.

data
object